<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'islhd',

    /*
     * Package.
     */
    'package'   => 'product',

    /*
     * Modules.
     */
    'modules'   => ['category', 'product'],

    'category'       => [
        'model' => [
            'model'                 => \Islhd\Product\Models\Category::class,
            'table'                 => 'categories',
            'presenter'             => \Islhd\Product\Repositories\Presenter\CategoryPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'slug',  'name',  'status',  'details',  'image',  'user_id',  'user_type',  'created_at',  'updated_at',  ')',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'product/category',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Islhd',
            'package'   => 'Product',
            'module'    => 'Category',
        ],

    ],
    'product'       => [
        'model' => [
            'model'                 => \Islhd\Product\Models\Product::class,
            'table'                 => 'products',
            'presenter'             => \Islhd\Product\Repositories\Presenter\ProductPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'slug',  'name',  'code',  'type',  'brand',  'manufacturer',  'unspsc',  'himf',  'quantity',  'uom',  'price',  'description',  'meta_title',  'meta_description',  'meta_keyword',  'image',  'order',  'status',  'created_at',  ')',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'product/product',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Islhd',
            'package'   => 'Product',
            'module'    => 'Product',
        ],

    ],
];
