<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for product in product package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  product module in product package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Product',
    'names'         => 'Products',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Products',
        'sub'   => 'Products',
        'list'  => 'List of products',
        'edit'  => 'Edit product',
        'create'    => 'Create new product'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'type'                => ['Normal','Critical'],
            'status'              => ['Active','Disabled'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'slug'                       => 'Please enter slug',
        'name'                       => 'Please enter name',
        'code'                       => 'Please enter code',
        'type'                       => 'Please select type',
        'brand'                      => 'Please enter brand',
        'manufacturer'               => 'Please enter manufacturer',
        'unspsc'                     => 'Please enter unspsc',
        'himf'                       => 'Please enter himf',
        'quantity'                   => 'Please enter quantity',
        'uom'                        => 'Please enter uom',
        'price'                      => 'Please enter price',
        'description'                => 'Please enter description',
        'meta_title'                 => 'Please enter meta title',
        'meta_description'           => 'Please enter meta description',
        'meta_keyword'               => 'Please enter meta keyword',
        'image'                      => 'Please enter image',
        'order'                      => 'Please enter order',
        'status'                     => 'Please select status',
        'created_at'                 => 'Please select created at',
        ')'                          => 'Please select )',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'slug'                       => 'Slug',
        'name'                       => 'Name',
        'code'                       => 'Code',
        'type'                       => 'Type',
        'brand'                      => 'Brand',
        'manufacturer'               => 'Manufacturer',
        'unspsc'                     => 'Unspsc',
        'himf'                       => 'Himf',
        'quantity'                   => 'Quantity',
        'uom'                        => 'Uom',
        'price'                      => 'Price',
        'description'                => 'Description',
        'meta_title'                 => 'Meta title',
        'meta_description'           => 'Meta description',
        'meta_keyword'               => 'Meta keyword',
        'image'                      => 'Image',
        'order'                      => 'Order',
        'status'                     => 'Status',
        'created_at'                 => 'Created at',
        ')'                          => ')',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'name'                       => ['name' => 'Name', 'data-column' => 1, 'checked'],
        'code'                       => ['name' => 'Code', 'data-column' => 2, 'checked'],
        'type'                       => ['name' => 'Type', 'data-column' => 3, 'checked'],
        'brand'                      => ['name' => 'Brand', 'data-column' => 4, 'checked'],
        'manufacturer'               => ['name' => 'Manufacturer', 'data-column' => 5, 'checked'],
        'quantity'                   => ['name' => 'Quantity', 'data-column' => 6, 'checked'],
        'uom'                        => ['name' => 'Uom', 'data-column' => 7, 'checked'],
        'price'                      => ['name' => 'Price', 'data-column' => 8, 'checked'],
        'order'                      => ['name' => 'Order', 'data-column' => 9, 'checked'],
        'status'                     => ['name' => 'Status', 'data-column' => 10, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Products',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
