<?php

namespace Islhd\Product\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ProductTransformer extends TransformerAbstract
{
    public function transform(\Islhd\Product\Models\Product $product)
    {
        return [
            'id'                => $product->getRouteKey(),
            'key'               => [
                'public'    => $product->getPublicKey(),
                'route'     => $product->getRouteKey(),
            ], 
            'slug'              => $product->slug,
            'name'              => $product->name,
            'code'              => $product->code,
            'type'              => $product->type,
            'brand'             => $product->brand,
            'manufacturer'      => $product->manufacturer,
            'unspsc'            => $product->unspsc,
            'himf'              => $product->himf,
            'quantity'          => $product->quantity,
            'uom'               => $product->uom,
            'price'             => $product->price,
            'description'       => $product->description,
            'meta_title'        => $product->meta_title,
            'meta_description'  => $product->meta_description,
            'meta_keyword'      => $product->meta_keyword,
            'image'             => $product->image,
            'order'             => $product->order,
            ')'                 => $product->),
            'deleted_at'        => $product->deleted_at,
            'url'               => [
                'public'    => trans_url('product/'.$product->getPublicKey()),
                'user'      => guard_url('product/product/'.$product->getRouteKey()),
            ], 
            'status'            => trans('app.'.$product->status),
            'created_at'        => format_date($product->created_at),
            'updated_at'        => format_date($product->updated_at),
        ];
    }
}